package keymon.lat.medicomed.designerscripts;
import anywheresoftware.b4a.objects.TextViewWrapper;
import anywheresoftware.b4a.objects.ImageViewWrapper;
import anywheresoftware.b4a.BA;


public class LS_principal{

public static void LS_general(anywheresoftware.b4a.BA ba, android.view.View parent, anywheresoftware.b4a.keywords.LayoutValues lv, java.util.Map props,
java.util.Map<String, anywheresoftware.b4a.keywords.LayoutBuilder.ViewWrapperAndAnchor> views, int width, int height, float scale) throws Exception {
anywheresoftware.b4a.keywords.LayoutBuilder.setScaleRate(0.3);
anywheresoftware.b4a.keywords.LayoutBuilder.scaleAll(views);
//BA.debugLineNum = 3;BA.debugLine="img2.SetLeftAndRight(0,100%x)"[principal/General script]
views.get("img2").vw.setLeft((int)(0d));
views.get("img2").vw.setWidth((int)((100d / 100 * width) - (0d)));
//BA.debugLineNum = 4;BA.debugLine="img2.SetTopAndBottom(0,100%y)"[principal/General script]
views.get("img2").vw.setTop((int)(0d));
views.get("img2").vw.setHeight((int)((100d / 100 * height) - (0d)));
//BA.debugLineNum = 5;BA.debugLine="img3.SetLeftAndRight(0,100%x)"[principal/General script]
views.get("img3").vw.setLeft((int)(0d));
views.get("img3").vw.setWidth((int)((100d / 100 * width) - (0d)));
//BA.debugLineNum = 6;BA.debugLine="img3.SetTopAndBottom(0,100%y)"[principal/General script]
views.get("img3").vw.setTop((int)(0d));
views.get("img3").vw.setHeight((int)((100d / 100 * height) - (0d)));

}
}